跳转到主要内容
返回提交包的状态。如果包尚未着陆或未找到,将返回 null

端点

POST https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY

请求

jsonrpc
string
必填
"2.0"
id
number
必填
请求标识符。
method
string
必填
"getBundleStatuses"
params[0]
array[string]
必填
要检查的最多 5 个包 ID 的数组。

请求示例

curl "https://mainnet.helius-rpc.com/?api-key=YOUR_API_KEY" \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBundleStatuses",
    "params": [
      [
        "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d"
      ]
    ]
  }'

响应

result.context.slot
number
请求被处理的插槽。
result.value
array
包状态对象数组。对于未找到的包,返回 null
result.value[].bundle_id
string
包 ID。
result.value[].transactions
array[string]
包中基于 Base-58 编码的交易签名。
result.value[].slot
number
包被处理的插槽。
result.value[].confirmation_status
string
"processed", "confirmed", 或 "finalized"
result.value[].err
object
错误信息(如果有)。
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 242806119
    },
    "value": [
      {
        "bundle_id": "892b79ed49138bfb3aa5441f0df6e06ef34f9ee8f3976c15b323605bae0cf51d",
        "transactions": [
          "3bC2M9fiACSjkTXZDgeNAuQ4ScTsdKGwR42ytFdhUvikqTmBheUxfsR1fDVsM5ADCMMspuwGkdm1uKbU246x5aE3",
          "8t9hKYEYNbLvNqiSzP96S13XF1C2f1ro271Kdf7bkZ6EpjPLuDff1ywRy4gfaGSTubsM2FeYGDoT64ZwPm1cQUt"
        ],
        "slot": 242804011,
        "confirmation_status": "finalized",
        "err": {
          "Ok": null
        }
      }
    ]
  },
  "id": 1
}

另见